---
orphan: true
---

# Query the runtime task list

Query agent runtime persistence tasks.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/agent-runtime-tasks
```

## Preparation before calling

Called using `$AI_STUDIO_API_KEY` and `$WORKSPACE_ID`.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/agent-runtime-tasks" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and a task list on success.

```json
{"code":0,"data":{"items":[]}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.items` | array | Runtime tasks. |

## Error response

```json
{"code":15,"message":"runtime read model is not available"}
```
